<?php
// --- Déclaration de la fonction ---
function Addition($i,$j=-1)
{
 $somme=$i+$j;
 return $somme;
}
// --- Saisie de deux entiers ---
echo "Entrez 2 entiers :";
fscanf(STDIN,"%d %d",$a,$b);
// --- Appel de la fonction avec arguments ---
echo "--- Appel de  Addition($a,$b) ---".PHP_EOL;
$resultat=Addition($a,$b);
echo "$a + $b = $resultat".PHP_EOL ;
// --- Appel de la fonction avec un seul argument ---
echo "--- Appel de  Addition($a) ---".PHP_EOL;
$resultat=Addition($a);
echo "resultat=$resultat".PHP_EOL ;
?>
